#ifndef INTERFACE_H
#define INTERFACE_H

/****************************************************************

    Copyright (c) 1996-1997 Fred Pesch

    This program is free software; you can redistribute it 
    and/or modify it under the terms of the GNU General 
    Public License as published by the Free Software 
    Foundation (version 2 of the License).

    This program is distributed in the hope that it will 
    be useful, but WITHOUT ANY WARRANTY; without even the 
    implied warranty of MERCHANTABILITY or FITNESS FOR A 
    PARTICULAR PURPOSE.  See the GNU General Public License 
    for more details.

    For a copy of the GNU General Public License, write to the 
    Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
    MA 02139, USA.

****************************************************************/

#include <stdio.h>
#include <Xm/Xm.h>

/* Globals */

extern Widget W_App, W_MainWindow;
extern Widget W_TreeContainer;
extern Widget W_ScrollTree;

extern XtAppContext AppContext;

extern Widget W_ListFile;
extern Widget W_ScrollList;

/* Dialog Widgets */

extern Widget W_MessageDialog;
extern Widget W_ConfirmDialog;
extern Widget W_CopyDialog;
extern Widget W_MoveDialog;
extern Widget W_DeleteDialog;
extern Widget W_RenameDialog;
extern Widget W_AttributesDialog;
extern Widget W_CreateDialog;
extern Widget W_ExecDialog;
extern Widget W_InfoDialog;
extern Widget W_TarDialog;
extern Widget W_UnTarDialog;
extern Widget W_GZipDialog;
extern Widget W_GUnZipDialog;
extern Widget W_EncodeDialog;
extern Widget W_DecodeDialog;
extern Widget W_SplitDialog;
extern Widget W_UnSplitDialog;
extern Widget W_SelectFilterDialog;
extern Widget W_GoToDirDialog;
extern Widget W_StatusDialog;
extern Widget W_DropDialog;

extern void WriteMessageLabel(char *message);
extern void InitInterface(int argc, char **argv);

#endif






